// creator  : weidu (version 130)
// argument : MORIP.DLG
// game     : .
// source   : ./override/MORIP.DLG
// dialog   : ./dialog.tlk
// dialogF  : ./dialogf.tlk

BEGIN ~MORIP~ 16063 // non-zero flags may indicate non-pausing dialogue

IF ~False()~ THEN BEGIN 0 // from:
  SAY @1 /* ~As ye would have it.  I likely would have put a dagger in ye eventually, but for now ye have been adequately useful.~ #16063 */
  IF ~~ THEN DO ~~ EXIT
END

IF ~False()~ THEN BEGIN 1 // from:
  SAY @2 /* ~As ye would have it.  I likely would have put a dagger in ye eventually, but for now ye have been adequately useful.  Come wizard, we are inseparable until the day ye die.~ #16064 */
  IF ~~ THEN DO ~~ EXIT
END

IF ~False()~ THEN BEGIN 2 // from:
  SAY @3 /* ~And good riddance to yer bad rubbish!  I suggest ye sleep with one eye open from now on.~ #16065 */
  IF ~~ THEN DO ~~ EXIT
END

IF ~False()~ THEN BEGIN 3 // from:
  SAY @4 /* ~And good riddance to yer bad rubbish!  I suggest ye sleep with one eye open from now on.  Come wizard!  I'll not miss yer inevitable death by leavin' ye behind!~ #16066 */
  IF ~~ THEN DO ~~ EXIT
END

IF ~Dead("Jeanna")~ THEN BEGIN 4 // from:
  SAY @5 /* ~I thought ye would eventually return this way.  Need my services once again?~ #16067 */
  IF ~~ THEN REPLY @6 /* ~Aye, that I do.~ #16072 */ DO ~~ GOTO 6
  IF ~~ THEN REPLY @7 /* ~I have no need for you in my group at this time.~ #16074 */ DO ~~ GOTO 7
END

IF ~

!Dead("Jeanna~ THEN BEGIN 5 // from:
  SAY @8 /* ~I thought ye would eventually return this way.  Need our services once again?~ #16068 */
  IF ~~ THEN REPLY @6 /* ~Aye, that I do.~ #16073 */ DO ~~ GOTO 8
  IF ~~ THEN REPLY @7 /* ~I have no need for you in my group at this time.~ #16075 */ DO ~~ GOTO 7
END

IF ~~ THEN BEGIN 6 // from: 4.0
  SAY @9 /* ~A wise choice, indeed.  Puts off me having to kill you by a few days at least.~ #16069 */
  IF ~~ THEN DO ~")

JoinParty~ EXIT
END

IF ~~ THEN BEGIN 7 // from: 5.1 4.1
  SAY @10 /* ~Fine, but know this: If my blade does not work for ye, you'll likely end up with it against ye.~ #16070 */
  IF ~~ THEN DO ~()

ActionOverride("Jeanna",ChangeAIScript("",DEFAULT))

ActionOverride("Jeanna",LeaveParty())

ActionOverride("Jeanna",SetDialog("~ EXIT
END

IF ~~ THEN BEGIN 8 // from: 5.0
  SAY @11 /* ~A wise choice, indeed.  Puts off me having to kill you by a few days at least.  Move it wizard!  I'll not have us delayed by your flitting about.~ #16071 */
  IF ~~ THEN DO ~JeannP"))

ActionOverride("Jeanna",JoinParty())

~ EXIT
END
